Package ipfs.gomobile.android.bledriver

## Class BleDriver

- java.lang.Object
- - ipfs.gomobile.android.bledriver.BleDriver

-     public class BleDriver
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static android.os.Handler` | `mainHandler` |
    `static android.os.Handler` | `mCallbacksHandler` |
    `static android.os.Handler` | `mHandshakeHandler` |
    `static android.os.Handler` | `mReadHandler` |
    `static android.os.Handler` | `mWriteHandler` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `bytesToHex​(byte[] bytes)` |
    `DeviceManager` | `deviceManager()` |
    `static BleDriver` | `getInstance​(android.content.Context appContext, Logger logger)` |
    `static java.lang.String` | `idFromPid​(java.lang.String pid)` |
    `boolean` | `isInit()` |
    `boolean` | `isStarted()` |
    `PeerManager` | `peerManager()` |
    `boolean` | `SendToPeer​(java.lang.String remotePID, byte[] payload)` |
    `void` | `setInit​(boolean status)` |
    `void` | `setStarted​(boolean status)` |
    `void` | `StartBleDriver​(java.lang.String localPeerID)` |
    `void` | `StopBleDriver()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mainHandler

          public static android.os.Handler mainHandler

    - #### mHandshakeHandler

          public static android.os.Handler mHandshakeHandler

    - #### mCallbacksHandler

          public static android.os.Handler mCallbacksHandler

    - #### mWriteHandler

          public static android.os.Handler mWriteHandler

    - #### mReadHandler

          public static android.os.Handler mReadHandler

  - ### Method Detail

    - #### getInstance

          public static BleDriver getInstance​(android.content.Context appContext,
                                              Logger logger)

    - #### bytesToHex

          public static java.lang.String bytesToHex​(byte[] bytes)

    - #### isInit

          public boolean isInit()

    - #### setInit

          public void setInit​(boolean status)

    - #### isStarted

          public boolean isStarted()

    - #### setStarted

          public void setStarted​(boolean status)

    - #### StartBleDriver

          public void StartBleDriver​(java.lang.String localPeerID)

    - #### StopBleDriver

          public void StopBleDriver()

    - #### SendToPeer

          public boolean SendToPeer​(java.lang.String remotePID,
                                    byte[] payload)

    - #### idFromPid

          public static java.lang.String idFromPid​(java.lang.String pid)

    - #### peerManager

          public PeerManager peerManager()

    - #### deviceManager

          public DeviceManager deviceManager()